﻿shell
{
	var
	{
		isw11=sys.is11
	}
	
	set
	{
		theme
		{
			name="modern"
			background
			{
				//opacity=85
				//effect=1
			}
			image.align = 2// 0 = checked, 1 = image, 2 = both
		}

		tip
		{
			enabled=1
			opacity=100
			width=400
			radius=1
			time=1.25
			padding=[10,10]
		}

		exclude.where = !process.is_explorer
		showdelay=200
	}

	images import 'imports/images.nss'

	static
	{	
		import 'imports/static.nss'
		// item(where=this.title.length > 25 menu=title.more_options)
		item(find='hidden items' pos=1 menu="Misc Tools")
		item(find='delete folder contents' pos=2 menu="Misc Tools")
		item(find='display settings' pos=3 menu="Misc Tools")
		
		item(find='treesize free' pos=1 menu="Misc Apps")
		item(find='Nvidia Control Panel' pos=2 menu="Misc Apps")
		item(find='shred with bleachbit' pos=3 menu="Misc Apps")
		item(find='take ownership' pos=4 menu="Misc Apps")
		item(find='bulk rename here' pos=5 menu="Misc Apps")
		item(find='file converter' pos=6 menu="Misc Apps")
		item(find='git gui here|git bash here' pos=7 menu="Misc Apps")
		
		item(find='windows terminal here' pos=1 sep='bottom' menu="Terminal Tools")
				
		item(find="add to vlc media player's playlist" vis=vis.remove)
		item(find="play with vlc media player" vis=vis.remove)
		item(find="browse with faststone" vis=vis.remove)
		item(find="open in pdf-xchange editor" vis=vis.remove)

		item(find='open with code' pos=1 menu="Misc Tools")
	}

	dynamic
	{
		menu(title="My Scripts" image=\uE0D4)
		{
			menu(title="Git Scripts" image=\uE0D4)
			{
				item(title='Create Folders For Git Guides' image=\uE1ED pos=1 cmd args='/k "D:\My-All-Setup-Guides\01 Random Guides\02 My Scripts\createfolders.bat"')
			}
			menu(title="Ps4 Scripts" image=\uE0D4)
			{
				item(title='Ps4 Theme Folder' image=\uE1ED pos=2 cmd args='/k "D:\My-All-Setup-Guides\01 Random Guides\02 My Scripts\ps4theme_folder.bat"')
				item(title='Ps4 Game Backup Folder' image=\uE1ED pos=2 cmd args='/k "D:\My-All-Setup-Guides\01 Random Guides\02 My Scripts\ps4Games_Backup.bat"')
			}
		item(title='Cache Cleaner' image=\uE1ED pos=3 admin=1 cmd args='/k "C:\Users\PitchAbyss\OneDrive - YTB\My-All-Setup-Guides\01 Random Guides\02 My Scripts\Cacheclean.bat"')
		item(title='Ntlite Files Remover' image=\uE1ED pos=3 admin=1 cmd args='/k "D:\My-All-Setup-Guides\06 NtLite Guide\03 Adding Images And Removing Initial Files\src\files\Remove_winre_Add_Walls_run_as_admin.bat"')
		}
		menu(title="Misc Apps" image = \uE0DD) 
		{ 
		item(title='Keyboard Blocker' image =\uE1FE cmd='Z:\Pc Stuff\Install\More Apps\Must Have Free Apps and Alternatives\Keyboard Mouse Blocker\Keyboard_mouse_blocker.exe')
		
		}
		menu(title="Terminal Tools" image=\uE0D6) { }
		menu(mode="multiple" title="Pin/Unpin" image=icon.pin) { }
		menu(mode="multiple" title=title.more_options image=icon.more_options) { }
		menu(title="Misc Tools" image=\uE0F6)
    {
        menu(title='Restart Explorer' image='explorer.exe')
        {
            item(title='Restart Explorer Now' cmd args='/c taskkill /f /im explorer.exe & start explorer.exe')
            item(title='Restart Explorer with Pause' cmd args='/c @@echo off & echo. & echo Stopping explorer.exe process . . . & echo. & taskkill /f /im explorer.exe & echo. & echo. & echo Waiting to start explorer.exe process when you are ready . . . & pause && start explorer.exe && exit')
        }

        menu(title='System File Checker' image='WmiPrvSE.exe')
        {
            item(title='Run System File Checker' admin=true cmd='PowerShell' args="-windowstyle hidden -command \"Start-Process cmd -ArgumentList '/s,/k, sfc /scannow' -Verb runAs\"")
            item(title='System File Checker log' cmd='PowerShell' args='(sls [SR] $env:windir\Logs\CBS\CBS.log -s).Line >"$env:userprofile\Desktop\sfcdetails.txt\"')
        }
    }
		//import 'imports/terminal.nss'
		import 'imports/file-manage.nss'
		//import 'imports/develop.nss'
		import 'imports/goto.nss'
		import 'imports/taskbar.nss'
	}
}